# Contribution Guide 🌟

Thank you for your interest in contributing to **DATAMIMIC Community Edition**! Your contributions help us improve and evolve this platform, making it better for the entire community.

---

## 🌱 How to Contribute

### 1. 🚀 Getting Started

- **Fork the Repository**: Click on "Fork" to create your copy of DATAMIMIC.
- **Clone Your Fork**: Clone the forked repository to your local machine:

```bash
git clone https://github.com/your-username/datamimic.git
cd datamimic
```

### 2. 🛠️ Setup Your Development Environment

Ensure you have Python ≥3.10 installed. Then set up your environment:

```bash
pip install uv
uv sync
```

### 3. 🌟 Make Your Changes

- Create a new branch for your feature or fix:

```bash
git checkout -b my-feature-or-fix
```

- Clearly comment and document your code.
- Follow existing coding styles and practices.

### 4. ✅ Submit a Pull Request

- Push your changes:

```bash
git push origin my-feature-or-fix
```

- Open a Pull Request (PR) on GitHub:
  - Clearly describe your changes.
  - Explain the rationale for your changes or fixes.
  - Link any related issues or feature requests.

---

## 🧑‍💻 Contribution Types

- **Bug Fixes**: Correct bugs and improve stability.
- **Features**: Add new functionalities or improvements.
- **Documentation**: Enhance or create clear documentation.
- **Tests**: Improve coverage and robustness with additional tests.

---

## 📜 Contribution Guidelines

- **Stay Relevant**: Ensure your contribution aligns with the DATAMIMIC roadmap.
- **Keep Quality High**: Maintain code quality, readability, and test coverage.
- **Discuss Major Changes**: Open an issue or discussion to propose significant changes before investing substantial effort.

---

## 💬 Community

Join our [GitHub Discussions](https://github.com/rapiddweller/datamimic/discussions) to share ideas, ask questions, or discuss potential features and improvements.

---

## 🙌 Recognition

We deeply appreciate your effort! Contributors will be recognized in our release notes and contributor lists.

Thank you for helping make DATAMIMIC even better! 🚀💖
